namespace GestionaDenunciasAN.Models
{
    public class UserState
    {
        private readonly object _lock = new object();
        private string _token = string.Empty;
        private string _NombreUsu = string.Empty;
        private bool _Mostrar;

        public string Token
        {
            get
            {
                lock (_lock)
                {
                    return _token;
                }
            }
            set
            {
                lock (_lock)
                {
                    _token = value;
                }
            }
        }
        public string NombreUsu
        {
            get
            {
                lock (_lock)
                {
                    return _NombreUsu;
                }
            }
            set
            {
                lock (_lock)
                {
                    _NombreUsu = value;
                }
            }
        }
        public bool Mostrar
        {
            get
            {
                lock (_lock)
                {
                    return _Mostrar;
                }
            }
            set
            {
                lock (_lock)
                {
                    _Mostrar = value;
                }
            }
        }
    }
}
